Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Controller

Extends M.Object.
The root class for every controller. Controllers, respectively their properties, are observables. Views can observe them.
Defined in: controller.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Controller()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| observable Makes the controller's properties observable.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| buildLocationHref(id) Helper function to build the location href for the view to be displayed.
| set(key, value) Returns the class property behind the given key and informs its observers.
| switchToPage(page, transition, isBack, changeLoc) Returns the class property behind the given key and informs its observers.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include

Class Detail
M.Controller()
Field Detail
observable
Makes the controller's properties observable.

{String} type
The type of this object.
Method Detail
buildLocationHref(id)
Helper function to build the location href for the view to be displayed.

Parameters:
{String} id
  The id of the new target.

set(key, value)
Returns the class property behind the given key and informs its observers.

Parameters:
{String} key
  The key of the property to be changed.
{Object|String} value
  The value to be set.

switchToPage(page, transition, isBack, changeLoc)
Returns the class property behind the given key and informs its observers.

Parameters:
{Object} page
  The page to be displayed.
{String} transition
  The transition that should be used. Default: horizontal slide
{Boolean} isBack
  YES will cause a reverse-direction transition. Default: NO
{Boolean} changeLoc
  Update the browser history. Default: YES

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:29 GMT+0100 (MEZ)